*** msdosfs/msdosfs_vfsops.c.sv	Tue Nov 14 19:39:08 1995
--- msdosfs/msdosfs_vfsops.c	Fri Jan 12 18:25:29 1996
***************
*** 368,376 ****
--- 368,385 ----
  #ifdef	PC98	/* for PC98		added Satoshi Yasuda	*/
  	Phy_Sector_Size = 512;
  	if ((devvp->v_rdev>>8) == 2) {	/* floppy check */
+ #ifdef MTK_2HD80	/* Support 2HD-80Track by mtk (951124) */
+ 		if (((devvp->v_rdev&077) == 2) && ((pmp->pm_HugeSectors == 1232)||(pmp->pm_HugeSectors == 1280))) {
+ #else	/* original */
  		if (((devvp->v_rdev&077) == 2) && (pmp->pm_HugeSectors == 1232)) {
+ #endif	/* MTK_2HD80 */
  				Phy_Sector_Size = 1024;	/* 2HD */
  				devvp->v_flag |= 0x8000;
+ #ifdef MTK_160M	/* Support 1.60M by mtk (960112) */
+ 		} else if (((devvp->v_rdev&077) == 6) && (pmp->pm_HugeSectors == 1600)) {
+ 				Phy_Sector_Size = 1024;	/* 1.60M */
+ 				devvp->v_flag |= 0x8000;
+ #endif	/* MTK_160M */
  		} else {
  			if ((((devvp->v_rdev&077) == 3)	/* 2DD 8 or 9 sector */
  				&& (pmp->pm_HugeSectors == 1440)) /* 9 sector */
*** pc98/pc98/fd.c.sv	Sun Aug  6 23:12:05 1995
--- pc98/pc98/fd.c	Fri Jan 12 18:32:04 1996
***************
*** 198,204 ****
--- 198,208 ----
  #define FDC_ERRMAX	100	/* do not log more */
  
  #ifdef PC98
+ #ifdef MTK_160M	/* Support 1.60M by mtk (960112) */
+ #define NUMTYPES 6
+ #else	/* MTK_160M */
  #define NUMTYPES 5
+ #endif	/* MTK_160M */
  #define NUMDENS  NUMTYPES
  #else
  #define NUMTYPES 14
***************
*** 218,223 ****
--- 222,230 ----
  #define FD_720          3
  #define FD_640          4
  #define FD_1440         5
+ #ifdef MTK_160M	/* Support 1.60M by mtk (960112) */
+ #define FD_1600         6
+ #endif	/* MTK_160M */
  #else
  #define FD_1720         1
  #define FD_1480         2
***************
*** 241,250 ****
--- 248,264 ----
  {
  #ifdef PC98
  { 15,2,0xFF,0x1B,80,2400,1,0,2,0x54,1 }, /* 1.2 meg HD floppy    */
+ #ifdef MTK_2HD80	/* Support 2HD-80Track by mtk (951124) */
+ {  8,3,0xFF,0x35,80,1280,1,0,2,0x74,1 }, /* 1.2 meg HD floppy 1024/sec  */
+ #else	/* original */
  {  8,3,0xFF,0x35,77,1232,1,0,2,0x74,1 }, /* 1.2 meg HD floppy 1024/sec  */
+ #endif	/* MTK_2HD80 */
  {  9,2,0xFF,0x20,80,1440,1,1,2,0x50,1 }, /* 720k floppy in 1.2meg drive */
  {  8,2,0xFF,0x2A,80,1280,1,1,2,0x50,1 }, /* 640k floppy in 1.2meg drive */
  { 18,2,0xFF,0x1B,80,2880,1,2,2,0x54,1 }, /* 1.44 meg HD 3.5in floppy */
+ #ifdef MTK_160M	/* Support 1.60M by mtk (960112) */
+ { 10,3,0xFF,0x35,80,1600,1,2,2,0x74,2 }, /* 1.6 meg HD 3.5in floppy */
+ #endif	/* MTK_160M */
  #else
  { 21,2,0xFF,0x04,82,3444,1,FDC_500KBPS,2,0x0C,2 }, /* 1.72M in HD 3.5in */
  { 18,2,0xFF,0x1B,82,2952,1,FDC_500KBPS,2,0x6C,1 }, /* 1.48M in HD 3.5in */
