*** Makefile.orig	Wed Aug  9 21:26:41 1995
--- Makefile	Fri Jan 12 20:13:09 1996
***************
*** 1,6 ****
--- 1,8 ----
  #
  #       Makefile for Mtools
  #
+ # modified by mtk for M.T.K. Version on FreeBSD(98) (951124/960112)
+ #
  # check the Configure file for some examples of device-specific setups
  # Berkeley flavors of Unix should include -DBSD in the CFLAGS.  Pick
  # a lock method... either -DLOCKF, -DFLOCK, or -DFCNTL and put that
***************
*** 14,20 ****
  #CFLAGS = -O -M2e -DINT16 -DXENIX -DLOCKF
  #LDFLAGS = -s -M2e -i -f 5000
  
! CFLAGS	= -O -DBSD -DMULTISECTORSIZE -DPC98 -DSAFEABORT -DRELYTABLE -DSMARTNAME
  LDFLAGS	= -static
  LD	= $(CC)
  LINT	= lint
--- 16,26 ----
  #CFLAGS = -O -M2e -DINT16 -DXENIX -DLOCKF
  #LDFLAGS = -s -M2e -i -f 5000
  
! ## MTK_2HD80 -> Support 2HD-80Track
! ## MTK_160M  -> Support 1.60M
! ## MTK_98DOS -> 98DOS style mdate/time on mdir
! #CFLAGS	= -O -DBSD -DMULTISECTORSIZE -DPC98 -DSAFEABORT -DRELYTABLE -DSMARTNAME -DMTK_2HD80 -DMTK_160M -DMTK_98DOS
! CFLAGS	= -O -DBSD -DMULTISECTORSIZE -DPC98 -DSAFEABORT -DRELYTABLE -DSMARTNAME
  LDFLAGS	= -static
  LD	= $(CC)
  LINT	= lint
***************
*** 28,37 ****
  #SHOBJ	= /lib/crt0s.o /lib/shlib.ifile
  #LD	= ld
  
! #PROGS	= mattrib mcd mcopy mdel mdir mformat mlabel mmd mrd mread mren \
! #	mtype mwrite mkmanifest
! # for tools98
! PROGS	= mcd mdir mread 
  
  MATTRIB	= mattrib.o buf_read.o buf_write.o devices.o dir_read.o \
  	dir_write.o expand.o fat_read.o init.o match.o parse.o subdir.o
--- 34,41 ----
  #SHOBJ	= /lib/crt0s.o /lib/shlib.ifile
  #LD	= ld
  
! PROGS	= mattrib mcd mcopy mdel mdir mformat mlabel mmd mrd mread mren \
! 	mtype mwrite mkmanifest
  
  MATTRIB	= mattrib.o buf_read.o buf_write.o devices.o dir_read.o \
  	dir_write.o expand.o fat_read.o init.o match.o parse.o subdir.o
*** devices.c.orig	Wed Aug  9 21:24:36 1995
--- devices.c	Fri Jan 12 18:09:02 1996
***************
*** 193,198 ****
--- 193,230 ----
  	return 0;
  }
  
+ #ifdef MTK_160M	/* modified for 1.44M,1.60M by mtk (960112) */
+ struct device devices[] = {
+ 	{'A', "/dev/rfd0.1200", 0L, 12, 0, set512sec,  80, 2, 15}, /* 1.2m */
+ 	{'C', "/dev/rfd0.1232", 0L, 12, 0, set1024sec, 77, 2, 8},  /* 2HD */
+ 	{'E', "/dev/rfd0.720", 0L, 12, 0, set512sec,  80, 2, 9},  /* 720k */
+ 	{'G', "/dev/rfd0.1440", 0L, 12, 0, set512sec,  80, 2, 18},  /* 1.44m */
+ 	{'I', "/dev/rfd0.1600", 0L, 12, 0, set1024sec,  80, 2, 10},  /* 1.60m */
+ 	{'B', "/dev/rfd1.1200", 0L, 12, 0, set512sec,  80, 2, 15}, /* 1.2m */
+ 	{'D', "/dev/rfd1.1232", 0L, 12, 0, set1024sec, 77, 2, 8},  /* 2HD */
+ 	{'F', "/dev/rfd1.720", 0L, 12, 0, set512sec,  80, 2, 9},  /* 720k */
+ 	{'H', "/dev/rfd1.1440", 0L, 12, 0, set512sec,  80, 2, 18},  /* 1.44m */
+ 	{'J', "/dev/rfd1.1600", 0L, 12, 0, set1024sec,  80, 2, 10},  /* 1.60m */
+ 	{'K', "/dev/rfd2.1200", 0L, 12, 0, set512sec,  80, 2, 15}, /* 1.2m */
+ 	{'M', "/dev/rfd2.1232", 0L, 12, 0, set1024sec, 77, 2, 8},  /* 2HD */
+ 	{'O', "/dev/rfd2.720", 0L, 12, 0, set512sec,  80, 2, 9},  /* 720k */
+ 	{'Q', "/dev/rfd2.1440", 0L, 12, 0, set512sec,  80, 2, 18},  /* 1.44m */
+ 	{'S', "/dev/rfd2.1600", 0L, 12, 0, set1024sec,  80, 2, 10},  /* 1.60m */
+ 	{'L', "/dev/rfd3.1200", 0L, 12, 0, set512sec,  80, 2, 15}, /* 1.2m */
+ 	{'N', "/dev/rfd3.1232", 0L, 12, 0, set1024sec, 77, 2, 8},  /* 2HD */
+ 	{'P', "/dev/rfd3.720", 0L, 12, 0, set512sec,  80, 2, 9},  /* 720k */
+ 	{'R', "/dev/rfd3.1440", 0L, 12, 0, set512sec,  80, 2, 18},  /* 1.44m */
+ 	{'T', "/dev/rfd3.1600", 0L, 12, 0, set1024sec,  80, 2, 10},  /* 1.60m */
+ 	{'U', "/dev/rsd0", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'V', "/dev/rsd1", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'W', "/dev/rsd2", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'X', "/dev/rsd3", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'Y', "/dev/rsd4", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'Z', "/dev/rsd5", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'@', "/dev/rsd6", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
+ 	{'\0', (char *) NULL, 0L, 0, 0, (int (*) ()) 0, 0, 0, 0}
+ };
+ #else	/* original */
  struct device devices[] = {
  	{'A', "/dev/rfd0.1200", 0L, 12, 0, set512sec,  80, 2, 15}, /* 1.2m */
  	{'C', "/dev/rfd0.1232", 0L, 12, 0, set1024sec, 77, 2, 8},  /* 2HD */
***************
*** 215,220 ****
--- 247,253 ----
  	{'S', "/dev/rsd6", 0L, 16, 0, set512sec, 9952, 1, 25},/* 3.5in MO */
  	{'\0', (char *) NULL, 0L, 0, 0, (int (*) ()) 0, 0, 0, 0}
  };
+ #endif	/* MTK_160M */
  #else
  struct device devices[] = {
          {'A', "/dev/rfd0.1440", 0L, 12, 0, (int (*) ()) 0, 80, 2, 18}, /* 1.44m */
*** mdir.c.orig	Wed Aug  9 21:24:32 1995
--- mdir.c	Sat Nov 25 00:17:48 1995
***************
*** 180,192 ****
--- 180,200 ----
  				if (wide)
  					printf("%-8.8s %-3.3s   ", dir->name, dir->ext);
  				else
+ #ifdef MTK_98DOS	/* by mtk (930226) */
+ 					printf("%-8.8s %-3.3s <DIR>     %s  %s\n", dir->name, dir->ext, date, time);
+ #else	/* original */
  					printf("%-8.8s %-3.3s     <DIR>     %s  %s\n", dir->name, dir->ext, date, time);
+ #endif	/* MTK_98DOS */
  				continue;
  			}
  			if (wide)
  				printf("%-8.8s %-3.3s   ", dir->name, dir->ext);
  			else
+ #ifdef MTK_98DOS	/* by mtk (930226) */
+ 				printf("%-8.8s %-3.3s %8ld  %s  %s\n", dir->name, dir->ext, size, date, time);
+ #else	/* original */
  				printf("%-8.8s %-3.3s    %8ld   %s  %s\n", dir->name, dir->ext, size, date, time);
+ #endif	/* MTK_98DOS */
  		}
  		if (argc > 2)
  			putchar('\n');
***************
*** 239,252 ****
--- 247,282 ----
   *      \   7 bits    /\4 bits/\ 5 bits /
   *         year +80      month     day
   */
+ #ifdef MTK_98DOS	/* by mtk (930226/951124) */
+ 	static char ans[10];
+ 	char top_char;
+ #else	/* original */
  	static char ans[9];
+ #endif	/* MTK_98DOS */
  	unsigned char year, month_hi, month_low, day;
  
  	year = (date_high >> 1) + 80;
  	month_hi = (date_high & 0x1) << 3;
  	month_low = date_low >> 5;
  	day = date_low & 0x1f;
+ #ifdef MTK_98DOS	/* by mtk (930226/951124) */
+ 	/* 1980(0[80])-1999(19[99]),2000(20[100])-2079(99[179]) 
+ 	   -> " ??"
+ 	   2080(100[180])-2099(119[199])
+ 	   -> "0??"
+ 	   2100(120[200])-2107(127[207])
+ 	   -> "1??"
+ 	 */
+ 	if(year<=179)
+ 		top_char=' ';
+ 	else if(year<=199)
+ 		top_char='0';
+ 	else
+ 		top_char='1';
+ 	sprintf(ans, "%c%02d-%02d-%02d", top_char, year%100, month_hi + month_low, day);
+ #else	/* original */
  	sprintf(ans, "%2d-%02d-%02d", month_hi + month_low, day, year);
+ #endif	/* MTK_98DOS */
  	return(ans);
  }
  
***************
*** 266,283 ****
--- 296,321 ----
   *         hour      minutes     sec*2
   */
  	static char ans[7];
+ #ifndef MTK_98DOS	/* by mtk (930226) */
  	char am_pm;
+ #endif	/* !MTK_98DOS */
  	unsigned char hour, min_hi, min_low;
  
  	hour = time_high >> 3;
+ #ifndef MTK_98DOS	/* by mtk (930226) */
  	am_pm = (hour >= 12) ? 'p' : 'a';
  	if (hour > 12)
  		hour = hour - 12;
  	if (hour == 0)
  		hour = 12;
+ #endif	/* !MTK_98DOS */
  	min_hi = (time_high & 0x7) << 3;
  	min_low = time_low >> 5;
+ #ifdef MTK_98DOS	/* by mtk (930226) */
+ 	sprintf(ans, "%2d:%02d", hour, min_hi + min_low);
+ #else	/* original */
  	sprintf(ans, "%2d:%02d%c", hour, min_hi + min_low, am_pm);
+ #endif	/* MTK_98DOS */
  	return(ans);
  }
  
*** mformat.c.orig	Wed Aug  9 21:24:32 1995
--- mformat.c	Fri Jan 12 18:04:45 1996
***************
*** 158,174 ****
--- 158,198 ----
  #ifdef PC98
  		case 1232:		/* 77t * 2h * 8s * 2 = 1232k */
  			media = 0xfe;
+ #if 0	/* original (Bug!) */
  			clus_size = 2;
  			dir_len = 7;
  			fat_len = 3;
+ #else	/* modified by mtk (950224) */
+ 			clus_size = 1;
+ 			dir_len = 6;
+ 			fat_len = 2;
+ #endif	/* 0 */
  			break;
  #endif
+ #if MTK_2HD80	/* added by mtk (950224) */
+ /* Note On this version, Can format only % mformat -t 80 c:(d:) */
+ 		case 1280:		/* 80t * 2h * 8s * 2 = 1280k */
+ 			media = 0xfb;
+ 			clus_size = 1;
+ 			dir_len = 6;
+ 			fat_len = 2;
+ 			break;
+ #endif	/* MTK_2HD80 */
  		case 1440:		/* 80t * 2h * 9s = 720k */
  			media = 0xf9;
  			clus_size = 2;
  			dir_len = 7;
  			fat_len = 3;
  			break;
+ #if MTK_160M	/* added by mtk (960112) */
+ /* Need /dev/fd?.1600 */
+ 		case 1600:		/* 80t * 2h * 10s * 2 = 1.60m */
+ 			media = 0xfc;
+ 			clus_size = 1;
+ 			dir_len = 7;
+ 			fat_len = 3;
+ 			break;
+ #endif	/* MTK_160M */
  		case 2400:		/* 80t * 2h * 15s = 1.2m */
  			media = 0xf9;
  			clus_size = 1;
*** msdos.h.orig	Wed Aug  9 21:24:32 1995
--- msdos.h	Fri Nov 24 19:49:20 1995
***************
*** 56,62 ****
--- 56,66 ----
  	unsigned char nhs[4];		/* number of hidden sectors */
  	unsigned char bigsect[4];	/* big total sectors */
  #ifdef MULTISECTORSIZE
+ #if 0	/* original */
  	unsigned char junk[476+512];	/* who cares? */
+ #else	/* modified by mtk (951124) */
+ 	unsigned char junk[MSECTOR_SIZE_MAX-36];	/* who cares? */
+ #endif	/* 0 */
  #else
  	unsigned char junk[474];        /* who cares? */
  #endif
